# Class BundleGroupProperties

java.lang.Object
org.eclipse.ui.internal.BrandingProperties
org.eclipse.ui.internal.BundleGroupProperties

All Implemented Interfaces:
  `IBundleGroupConstants`

public class BundleGroupProperties extends BrandingProperties implements IBundleGroupConstants
A class that converts the strings returned by `org.eclipse.core.runtime.IBundleGroup.getProperty` to the appropriate class. This implementation is tightly bound to the properties provided in IBundleGroupConstants. Clients adding their own properties could choose to subclass this.

Since:
  3.0
See Also:
  - `IBundleGroupConstants`

## Field Summary

### Fields inherited from interface IBundleGroupConstants

`ABOUT_TEXT, BRANDING_BUNDLE_ID, BRANDING_BUNDLE_VERSION, FEATURE_IMAGE, LICENSE_HREF, TIPS_AND_TRICKS_HREF, WELCOME_PAGE, WELCOME_PERSPECTIVE`

## Constructor Summary

Constructors
Constructor
Description
`BundleGroupProperties(IBundleGroup bundleGroup)`
This instance will return properties from the given bundle group.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBrandingBundleId()`
`static String`
`getBrandingBundleId(IBundleGroup bundleGroup)`
A Feature's branding plugin id.
`String`
`getBrandingBundleVersion()`
`static String`
`getBrandingBundleVersion(IBundleGroup bundleGroup)`
A Feature's branding plugin version.
`String`
`getFeatureId()`
Returns the id for this bundleGroup.
`static String`
`getFeatureId(IBundleGroup bundleGroup)`
Returns the id for this bundleGroup.
`ImageDescriptor`
`getFeatureImage()`
An image which can be shown in an "about features" dialog (32x32).
`static ImageDescriptor`
`getFeatureImage(IBundleGroup bundleGroup)`
An image which can be shown in an "about features" dialog (32x32).
`URL`
`getFeatureImageUrl()`
The URL to an image which can be shown in an "about features" dialog (32x32).
`static URL`
`getFeatureImageUrl(IBundleGroup bundleGroup)`
The URL to an image which can be shown in an "about features" dialog (32x32).
`String`
`getFeatureLabel()`
Returns a label for the feature plugn, or `null`.
`static String`
`getFeatureLabel(IBundleGroup bundleGroup)`
Returns a label for the feature plugn, or `null`.
`String`
`getFeatureVersion()`
Returns the feature version id.
`static String`
`getFeatureVersion(IBundleGroup bundleGroup)`
Returns the feature version id.
`URL`
`getLicenseUrl()`
A URL for the feature's license page.
`static URL`
`getLicenseUrl(IBundleGroup bundleGroup)`
A URL for the feature's license page.
`String`
`getProviderName()`
Returns the provider name.
`static String`
`getProviderName(IBundleGroup bundleGroup)`
Returns the provider name.
`String`
`getTipsAndTricksHref()`
A help reference for the feature's tips and tricks page (optional).
`static String`
`getTipsAndTricksHref(IBundleGroup bundleGroup)`
A help reference for the feature's tips and tricks page (optional).
`URL`
`getWelcomePageUrl()`
A URL for the feature's welcome page (special XML-based format) ($nl$/ prefix to permit locale-specific translations of entire file).
`static URL`
`getWelcomePageUrl(IBundleGroup bundleGroup)`
A URL for the feature's welcome page (special XML-based format) ($nl$/ prefix to permit locale-specific translations of entire file).
`String`
`getWelcomePerspective()`
The id of a perspective in which to show the welcome page (optional).
`static String`
`getWelcomePerspective(IBundleGroup bundleGroup)`
The id of a perspective in which to show the welcome page (optional).

### Methods inherited from class BrandingProperties

`getImage, getImages, getUrl, getURLs`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BundleGroupProperties

public BundleGroupProperties(IBundleGroup bundleGroup)
This instance will return properties from the given bundle group. The properties are retrieved in a lazy fashion and cached for later retrieval.

Parameters:
  `bundleGroup` - must not be null

## Method Details

### getFeatureImage

public ImageDescriptor getFeatureImage()
An image which can be shown in an "about features" dialog (32x32).

### getFeatureImageUrl

public URL getFeatureImageUrl()
The URL to an image which can be shown in an "about features" dialog (32x32).

### getTipsAndTricksHref

public String getTipsAndTricksHref()
A help reference for the feature's tips and tricks page (optional).

### getWelcomePageUrl

public URL getWelcomePageUrl()
A URL for the feature's welcome page (special XML-based format) ($nl$/ prefix to permit locale-specific translations of entire file). Products designed to run "headless" typically would not have such a page.

### getWelcomePerspective

public String getWelcomePerspective()
The id of a perspective in which to show the welcome page (optional).

### getLicenseUrl

public URL getLicenseUrl()
A URL for the feature's license page.

### getFeatureLabel

public String getFeatureLabel()
Returns a label for the feature plugn, or `null`.

### getFeatureId

public String getFeatureId()
Returns the id for this bundleGroup.

### getProviderName

public String getProviderName()
Returns the provider name.

### getFeatureVersion

public String getFeatureVersion()
Returns the feature version id.

### getBrandingBundleId

public String getBrandingBundleId()

Returns:
  the branding plugin id, or `null`

### getBrandingBundleVersion

public String getBrandingBundleVersion()

Returns:
  the branding plugin version, or `null`

### getFeatureImage

public static ImageDescriptor getFeatureImage(IBundleGroup bundleGroup)
An image which can be shown in an "about features" dialog (32x32).

### getFeatureImageUrl

public static URL getFeatureImageUrl(IBundleGroup bundleGroup)
The URL to an image which can be shown in an "about features" dialog (32x32).

### getTipsAndTricksHref

public static String getTipsAndTricksHref(IBundleGroup bundleGroup)
A help reference for the feature's tips and tricks page (optional).

### getWelcomePageUrl

public static URL getWelcomePageUrl(IBundleGroup bundleGroup)
A URL for the feature's welcome page (special XML-based format) ($nl$/ prefix to permit locale-specific translations of entire file). Products designed to run "headless" typically would not have such a page.

### getWelcomePerspective

public static String getWelcomePerspective(IBundleGroup bundleGroup)
The id of a perspective in which to show the welcome page (optional).

### getLicenseUrl

public static URL getLicenseUrl(IBundleGroup bundleGroup)
A URL for the feature's license page.

### getFeatureLabel

public static String getFeatureLabel(IBundleGroup bundleGroup)
Returns a label for the feature plugn, or `null`.

### getFeatureId

public static String getFeatureId(IBundleGroup bundleGroup)
Returns the id for this bundleGroup.

### getProviderName

public static String getProviderName(IBundleGroup bundleGroup)
Returns the provider name.

### getFeatureVersion

public static String getFeatureVersion(IBundleGroup bundleGroup)
Returns the feature version id.

### getBrandingBundleId

public static String getBrandingBundleId(IBundleGroup bundleGroup)
A Feature's branding plugin id.

Returns:
  the ID or `null` if not provided.

### getBrandingBundleVersion

public static String getBrandingBundleVersion(IBundleGroup bundleGroup)
A Feature's branding plugin version.

Returns:
  the version, or `null` if not provided.